Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024294
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-07-09 12:252013-07-19 08:53
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in VersionRMP25
StatusclosedFix in branchpiFixed in SCM revision
ProjectionnoneETAnoneTarget VersionRMP25
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP24SCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024294: Wrong rounding in web POS

DescriptionWrong rounding in web POS
Steps To ReproduceCreate a ticket and:
-Add one product with qty 1.49 and price 4.5
-Add one product with qty 8.75 and price 1.14

Verify that total of the lines is: 6.71 , 9.98

However the total is 16.98 <> 6.71+9.98=16.99
TagsNo tags attached.
Attached Filespng file icon rounding.png [^] (166,424 bytes) 2013-07-09 12:26

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0024497 closedmarvintm Wrong rounding in web POS 
related to defect 0024517RMP26 closedguilleaer [precision] In some cases Total tax is -0,01 

-  Notes
(0059970)
marvintm (developer)
2013-07-15 13:17

This issue has been fixed by the following changesets:

https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/51f69a104ec30d0ee24b5bfe0e052e217161dc57 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/06c07ab64e471265b0a5be947d2bf21e503300e5 [^]
(0060115)
migueldejuana (developer)
2013-07-19 08:53

Fixed and reviewed in 4abc82b73efa

- Issue History
Date Modified Username Field Change
2013-07-09 12:25 jecharri New Issue
2013-07-09 12:25 jecharri Assigned To => marvintm
2013-07-09 12:26 jecharri File Added: rounding.png
2013-07-15 13:16 marvintm Status new => scheduled
2013-07-15 13:16 marvintm fix_in_branch => pi
2013-07-15 13:17 marvintm Note Added: 0059970
2013-07-15 13:17 marvintm Status scheduled => resolved
2013-07-15 13:17 marvintm Resolution open => fixed
2013-07-19 08:53 migueldejuana Review Assigned To => migueldejuana
2013-07-19 08:53 migueldejuana Note Added: 0060115
2013-07-19 08:53 migueldejuana Status resolved => closed
2013-07-19 08:53 migueldejuana Fixed in Version => RMP25
2013-08-07 12:39 caristu Relationship added related to 0024497
2013-08-09 09:00 guilleaer Relationship added related to 0024517


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker